Subject: Re: [PATCH net] selftests: netdevsim: add a config file

From: Jakub Kicinski <[email-masked]>
Date: Wed, 17 Jan 2024 07:39:57 -0800

On Wed, 17 Jan 2024 10:32:19 +0100 Paolo Abeni wrote:
> > Even if we force kill it after we see a crash
> > I didn't see in the docs how to continue testing from a specific
> > point.  
> 
> I think something like the following should do:
> 
> cd tools/testing/selftests
> make TARGETS="net drivers/net/bonding <...full relevant targets list>" O=<kst_dir> install
> cd <kst_dir>
> 
> ARGS=""
> for t in $(./run_kselftest.sh -l| sed -n '/<test name>/,$p'); do
> 	ARGS="$ARGS -t $t"
> done
> ./run_kselftest.sh $ARGS # run all tests after <test name>
> 
> Probably it would be nice to add to the kselftest runner the ability to
> check for kernel oops after each test and ev. stop.

I wasn't aware there's a way to list tests! That should work well
enough we can run them one by one with make, that's fine.

./run_kselftest.sh only seems to work for installed tests, tho,
in tree it says:
./run_kselftest.sh: Could not find list of tests to run (~linux/tools/testing/selftests/kselftest-list.txt)
So perhaps the wishlist item would be "make list_tests"?